Qt 5.6 | Qt 3D | C++ Classes | QGraphicsApiFilter

Qt 5.6.3 Reference Documentation

# QGraphicsApiFilter Class

(Qt3DRender::QGraphicsApiFilter)

The QGraphicsApiFilter class provides ... More...

Header: | #include <QGraphicsApiFilter>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | GraphicsApiFilter

- List of all members, including inherited members

## Public Types

enum | Api { OpenGLES, OpenGL }
enum | Profile { NoProfile, CoreProfile, CompatibilityProfile }

## Properties

api : Qt3DRender::QGraphicsApiFilter::Api extensions : QStringList majorVersion : int | minorVersion : int profile : Qt3DRender::QGraphicsApiFilter::Profile vendor : QString

## Public Functions

| QGraphicsApiFilter(QObject *parent = Q_NULLPTR)
Api | api() const
void | copy(const QGraphicsApiFilter &ref)
QStringList | extensions() const
int | majorVersion() const
int | minorVersion() const
Profile | profile() const
QString | vendor() const

## Public Slots

void | setApi(Api api)
void | setExtensions(const QStringList &extensions)
void | setMajorVersion(int majorVersion)
void | setMinorVersion(int minorVersion)
void | setProfile(Profile profile)
void | setVendor(const QString &vendor)

## Signals

void | apiChanged(Api api)
void | extensionsChanged(const QStringList &extensions)
void | graphicsApiFilterChanged()
void | majorVersionChanged(int majorVersion)
void | minorVersionChanged(int minorVersion)
void | profileChanged(Profile profile)
void | vendorChanged(const QString &vendor)

## Related Non-Members

bool | operator!=(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)
bool | operator==(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)

## Detailed Description

The QGraphicsApiFilter class provides ...

## Member Type Documentation

### enum QGraphicsApiFilter::Api

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QGraphicsApiFilter::OpenGLES` | `QSurfaceFormat::OpenGLES` | QSurfaceFormat::OpenGLES
`Qt3DRender::QGraphicsApiFilter::OpenGL` | `QSurfaceFormat::OpenGL` | QSurfaceFormat::OpenGL

### enum QGraphicsApiFilter::Profile

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QGraphicsApiFilter::NoProfile` | `QSurfaceFormat::NoProfile` | QSurfaceFormat::NoProfile
`Qt3DRender::QGraphicsApiFilter::CoreProfile` | `QSurfaceFormat::CoreProfile` | QSurfaceFormat::CoreProfile
`Qt3DRender::QGraphicsApiFilter::CompatibilityProfile` | `QSurfaceFormat::CompatibilityProfile` | QSurfaceFormat::CompatibilityProfile

## Property Documentation

### api : Qt3DRender::QGraphicsApiFilter::Api

Access functions:

Api | api() const
void | setApi(Api api)

Notifier signal:

void | apiChanged(Api api)

### extensions : QStringList

Access functions:

QStringList | extensions() const
void | setExtensions(const QStringList &extensions)

Notifier signal:

void | extensionsChanged(const QStringList &extensions)

### majorVersion : int

Access functions:

int | majorVersion() const
void | setMajorVersion(int majorVersion)

Notifier signal:

void | majorVersionChanged(int majorVersion)

### minorVersion : int

Access functions:

int | minorVersion() const
void | setMinorVersion(int minorVersion)

Notifier signal:

void | minorVersionChanged(int minorVersion)

### profile : Qt3DRender::QGraphicsApiFilter::Profile

Access functions:

Profile | profile() const
void | setProfile(Profile profile)

Notifier signal:

void | profileChanged(Profile profile)

### vendor : QString

Access functions:

QString | vendor() const
void | setVendor(const QString &vendor)

Notifier signal:

void | vendorChanged(const QString &vendor)

## Member Function Documentation

### QGraphicsApiFilter::QGraphicsApiFilter(QObject *parent = Q_NULLPTR)

Constructs a new QGraphicsApiFilter with the specified parent.

### void QGraphicsApiFilter::copy(const QGraphicsApiFilter &ref)

Copies the ref instance into this one.

### `[signal]` void QGraphicsApiFilter::graphicsApiFilterChanged()

This signal is emitted when the value of any property is changed.

## Related Non-Members

### bool Qt3DRender::operator!=(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)

Returns `true` if reference and sample are different.

### bool Qt3DRender::operator==(const QGraphicsApiFilter &reference, const QGraphicsApiFilter &sample)

Returns `true` if reference and sample are equivalent.